/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CVReturn;

import dstep.corevideo.CVReturn;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

alias int CVReturn;

enum _CVReturn
{
	kCVReturnSuccess = 0,
	kCVReturnFirst = -6660,
	kCVReturnError = kCVReturnFirst,
	kCVReturnInvalidArgument = -6661,
	kCVReturnAllocationFailed = -6662,
	kCVReturnInvalidDisplay = -6670,
	kCVReturnDisplayLinkAlreadyRunning = -6671,
	kCVReturnDisplayLinkNotRunning = -6672,
	kCVReturnDisplayLinkCallbacksNotSet = -6673,
	kCVReturnInvalidPixelFormat = -6680,
	kCVReturnInvalidSize = -6681,
	kCVReturnInvalidPixelBufferAttributes = -6682,
	kCVReturnPixelBufferNotOpenGLCompatible = -6683,
	kCVReturnPoolAllocationFailed = -6690,
	kCVReturnInvalidPoolAttributes = -6691,
	kCVReturnLast = -6699
}

