/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSErrors_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSTextLineTooLongException;
		package id NSTextNoSelectionException;
		package id NSWordTablesWriteException;
		package id NSWordTablesReadException;
		package id NSTextReadException;
		package id NSTextWriteException;
		package id NSPasteboardCommunicationException;
		package id NSPrintingCommunicationException;
		package id NSAbortModalException;
		package id NSAbortPrintingException;
		package id NSIllegalSelectorException;
		package id NSAppKitVirtualMemoryException;
		package id NSBadRTFDirectiveException;
		package id NSBadRTFFontTableException;
		package id NSBadRTFStyleSheetException;
		package id NSTypedStreamVersionException;
		package id NSTIFFException;
		package id NSPrintPackageException;
		package id NSBadRTFColorTableException;
		package id NSDraggingException;
		package id NSColorListIOException;
		package id NSColorListNotEditableException;
		package id NSBadBitmapParametersException;
		package id NSWindowServerCommunicationException;
		package id NSFontUnavailableException;
		package id NSPPDIncludeNotFoundException;
		package id NSPPDParseException;
		package id NSPPDIncludeStackOverflowException;
		package id NSPPDIncludeStackUnderflowException;
		package id NSRTFPropertyStackOverflowException;
		package id NSAppKitIgnoredException;
		package id NSBadComparisonException;
		package id NSImageCacheException;
		package id NSNibLoadingException;
		package id NSBrowserIllegalDelegateException;
		package id NSAccessibilityException;
	}
}

