/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 25, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coredata.NSPersistentStoreCoordinator_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id NSSQLiteStoreType;
		package const id NSXMLStoreType;
		package const id NSBinaryStoreType;
		package const id NSInMemoryStoreType;
		package const id NSStoreTypeKey;
		package const id NSStoreUUIDKey;
		package const id NSPersistentStoreCoordinatorStoresDidChangeNotification;
		package const id NSAddedPersistentStoresKey;
		package const id NSRemovedPersistentStoresKey;
		package const id NSUUIDChangedPersistentStoresKey;
		package const id NSReadOnlyPersistentStoreOption;
		package const id NSValidateXMLStoreOption;
		package const id NSPersistentStoreTimeoutOption;
		package const id NSSQLitePragmasOption;
		package const id NSIgnorePersistentStoreVersioningOption;
		package const id NSMigratePersistentStoresAutomaticallyOption;
		package const id NSStoreModelVersionHashesKey;
		package const id NSStoreModelVersionIdentifiersKey;
		package const id NSPersistentStoreOSCompatibility;
	}
}

